<?php
/**
 * Aliases for special pages in the MassMessage extension.
 *
 * @file
 * @license GPL-2.0-or-later
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'MassMessage' => [ 'MassMessage' ],
	'CreateMassMessageList' => [ 'CreateMassMessageList' ],
	'EditMassMessageList' => [ 'EditMassMessageList' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'MassMessage' => [ 'رسائل_كمية' ],
	'CreateMassMessageList' => [ 'إنشاء_قائمة_الرسائل_الكمية' ],
	'EditMassMessageList' => [ 'تعديل_قائمة_الرسائل_الكمية' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'MassMessage' => [ 'رسايل_كتيره' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'MassMessage' => [ 'بَزین_پیام' ],
	'CreateMassMessageList' => [ 'بَزین_پیامی_لیست_ئی_جۆڑ_کورتین' ],
	'EditMassMessageList' => [ 'بَزین_پیامی_لیست_ئی_دستکاری_کورتین' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'MassMessage' => [ 'গণ_বার্তা' ],
	'CreateMassMessageList' => [ 'গণ_বার্তার_তালিকা_তৈরি' ],
	'EditMassMessageList' => [ 'গণ_বার্তার_তালিকা_সম্পাদনা' ],
];

/** Czech (čeština) */
$specialPageAliases['cs'] = [
	'MassMessage' => [ 'Hromadná_zpráva' ],
	'CreateMassMessageList' => [ 'Vytvořit_distribuční_seznam_pro_hromadné_zprávy' ],
	'EditMassMessageList' => [ 'Editovat_distribuční_seznam_pro_hromadné_zprávy' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'MassMessage' => [ 'Massennachrichten' ],
	'CreateMassMessageList' => [ 'Massennachrichtenliste_erstellen' ],
	'EditMassMessageList' => [ 'Massennachrichtenliste_bearbeiten' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'MassMessage' => [ 'HolaMesacan' ],
];

/** Spanish (Español) */
$specialPageAliases['es'] = [
	'MassMessage' => [ 'Distribuir_mensaje' ],
	'CreateMassMessageList' => [ 'Crear_lista_de_distribución' ],
	'EditMassMessageList' => [ 'Editar_lista_de_distribución' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'MassMessage' => [ 'Hulgasõnum' ],
	'CreateMassMessageList' => [ 'Hulgasõnumi_loendi_koostamine' ],
	'EditMassMessageList' => [ 'Hulgasõnumi_loendi_muutmine' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'MassMessage' => [ 'پیام_انبوه' ],
	'CreateMassMessageList' => [ 'ایجاد_فهرست_پیام_انبوه' ],
	'EditMassMessageList' => [ 'ویرایش_فهرست_پیام_انبوه' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'MassMessage' => [ 'Mensaxe_en_masa' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'MassMessage' => [ 'שליחת_הודעה_המונית', 'שליחת_הודעה_למשתמשים_מרובים' ],
	'CreateMassMessageList' => [ 'יצירת_רשימת_הודעות_המוניות' ],
	'EditMassMessageList' => [ 'עריכת_רשימת_הודעות_המוניות' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'MassMessage' => [ 'Masowe_powěsće' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'MassMessage' => [ 'MessaggiMassivi' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'MassMessage' => [ 'メッセージ一括送信', '一括メッセージ' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'MassMessage' => [ '대량메시지' ],
	'CreateMassMessageList' => [ '대량메시지목록만들기' ],
	'EditMassMessageList' => [ '대량메시지목록편집' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'MassMessage' => [ 'МасовниПораки' ],
	'CreateMassMessageList' => [ 'СоздајСписокЗаМасовниПораки' ],
	'EditMassMessageList' => [ 'УредиСписокЗаМасовниПораки' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'MassMessage' => [ 'കൂട്ടസന്ദേശങ്ങൾ' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'MassMessage' => [ 'BerichtenVerzenden' ],
];

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = [
	'MassMessage' => [ 'Massemelding' ],
];

/** Portuguese (português) */
$specialPageAliases['pt'] = [
	'MassMessage' => [ 'Mensagens_em_massa', 'Mensagem_em_massa' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)‎) */
$specialPageAliases['sr-ec'] = [
	'MassMessage' => [ 'Масовно_слање_порука' ],
	'CreateMassMessageList' => [ 'Направи_списак_за_масовно_слање_порука' ],
	'EditMassMessageList' => [ 'Измени_списак_за_масовно_слање_порука' ],
];

/** Serbian (Latin script) (srpski (latinica)‎) */
$specialPageAliases['sr-el'] = [
	'MassMessage' => [ 'Masovno_slanje_poruka' ],
	'CreateMassMessageList' => [ 'Napravi_spisak_za_masovno_slanje_poruka' ],
	'EditMassMessageList' => [ 'Izmeni_spisak_za_masovno_slanje_poruka' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'MassMessage' => [ 'اجتماعی_پیغام' ],
	'CreateMassMessageList' => [ 'تخلیق_فہرست_اجتماعی_پیغام' ],
	'EditMassMessageList' => [ 'ترمیم_فہرست_اجتماعی_پیغام' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'MassMessage' => [ 'Nhắn_tin_cho_nhiều_người', 'Tin_nhắn_cho_nhiều_người', 'Nhắn_tin_hàng_loạt', 'Tin_nhắn_hàng_loạt' ],
	'CreateMassMessageList' => [ 'Tạo_danh_sách_nhắn_tin_cho_nhiều_người' ],
	'EditMassMessageList' => [ 'Sửa_danh_sách_nhắn_tin_cho_nhiều_người' ],
];

/** Chinese (中文) */
$specialPageAliases['zh'] = [
	'MassMessage' => [ '群发消息', '批量消息', '群發訊息' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'MassMessage' => [ '群发信息', '批量消息' ],
	'CreateMassMessageList' => [ '创建群发消息递送列表' ],
	'EditMassMessageList' => [ '编辑群发消息递送列表' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'MassMessage' => [ '大量訊息' ],
	'CreateMassMessageList' => [ '建立群發訊息遞送清單' ],
	'EditMassMessageList' => [ '編輯群發訊息遞送清單' ],
];
